Bug 1639590 - Deletion feedback is too simplistic
Summary: Deletion feedback is too simplistic
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-16 07:25 UTC by Nicolas Mailhot
Modified: 2019-03-12 16:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 16:05:59 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2018-10-16 07:25:58 UTC
Sometimes I need to reset part of a copr, setting up a new one is too much hassle and I usually need to keep some core packages inside (so I just kill the dependent packages).

So I do things like

<command> | xargs -I{} -- copr-cli delete-package coprname --name {}

That works but unfortunately copr-cli's feedback is far from ideal. It's a long list of
Package was successfully deleted.

that does not tell you which delete operation succeded

Please change it to

<package name> was successfully deleted.

Comment 1 Miroslav Suchý 2018-10-16 14:13:34 UTC
https://pagure.io/copr/copr/pull-request/446

Comment 2 Miroslav Suchý 2018-10-18 11:25:09 UTC
Merged

Comment 3 Nicolas Mailhot 2018-10-18 17:34:09 UTC
Thanks a lot !

Comment 4 Jakub Kadlčík 2019-03-12 16:05:59 UTC
This BZ was fixed during the latest Copr release.
Feel free to reopen, if you encounter any difficulties with provided solution.


Note You need to log in before you can comment on or make changes to this bug.